body {
    background-color: var(--bg-color);
}

#form-div {
    display: flex;
    align-items: center;
    justify-content: center;
}

#form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--secundary-color);
    border-radius: 1rem;
    box-shadow: 0 0 10px #295d7980;
    width: 70%;
    padding: 1rem;
    margin: 1rem;
}

#form-email-input {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

#email-title {
    display: flex;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: 600;
    padding: 1rem;
}

#email-icon {
    display: flex;
    justify-content: center;
    font-size: 1.9rem;
    font-weight: 400;
    padding-right: 0.2rem;
}

#email-input {
    background-color: var(--bg-color);
    padding: 0.5rem;
    margin: 0.2rem;
    border-radius: 1rem;
    display: flex;
    width: 50%;
}

::placeholder {
    color: var(--second-text-color);
    background-color: var(--bg-color);
}

#button {
    padding: 0.5rem;
    margin: 0.5rem;
    border-radius: 1rem;
    background-color: var(--primary-color);
    box-shadow: 0 0 10px rgba(94, 99, 107, 0.13);
    font-weight: 500;
    width: fit-content;
    transition: all 0.3s ease-in-out;
}

#button:hover {
    font-size: 1rem;
    font-weight: 400;
}

/* Listado */
ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1rem;
}

li {
    background-color: var(--primary-color);
    border-radius: 1rem;
    color: var(--text-color);
    padding: 1rem;
    margin: 0.3rem;
    list-style: none;
    width: fit-content;
    transition: all 0.3s ease-in-out;
}

li:hover {
    transform: scale(1.03);
    background-color: var(--secundary-color);
}

.email {
    font-size: 1rem;
    display: flex;
    justify-self: center;
}

#email-user-icon {
    font-size: 1.5rem;
    margin-right: 0.5rem;
}

.dateCreated {
    font-size: 1rem;
    display: flex;
    justify-self: center;
}

#email-date-icon {
    font-size: 1.5rem;
    margin-right: 0.5rem;
}


/* Mensaje de error */

#error-div {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 3.5rem;
    padding: 2rem;
    background-color: var(--primary-color);
    border-radius: 1rem;
}

#error-text {
    font-size: 1rem;
}

#error-icon {
    font-size: 1.5rem;
    margin-right: 0.3rem;
}

/* Adaptacion pc */
@media (min-width: 768px) {

  ul {
    display: flex;
    flex-direction: row; 
    flex-wrap: wrap; 
    justify-content: center; 
    gap: 1rem; 
  }

  li {
    width: auto; 
  }
}